Dépôt

API

API dépôt

Référence OpenAPI

Les opérations ci-dessous sont générées depuis la spec OpenAPI Nirio. Les exemples cURL, JavaScript, Python et le playground sont maintenus par Fumadocs.

POST
/v1/deposit/{datamatrixPartnerId}/{datamatrixProductId}/deposit-requests

Crée une nouvelle demande de dépôt et retourne les informations nécessaires, notamment le qrCodeContent.

Authorization

BasicAuth
AuthorizationBasic <token>

In: header

Path Parameters

datamatrixPartnerId*string

Identifiant du partenaire sur 3 chiffres fourni par FDJ Services.

Match^\\d{3}$
datamatrixProductId*string

Identifiant du produit sur 2 chiffres fourni par FDJ Services.

Match^\\d{2}$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://example.com/v1/deposit/123/45/deposit-requests" \  -H "Content-Type: application/json" \  -d '{    "externalId": "2f9f7f52-4d2c-41ab-9f6c-1a19ecdb1600",    "amountInCents": 5000,    "currency": "EUR",    "customer": {      "birthDate": "1998-07-12",      "birthPlace": "Paris",      "externalId": "f29fe872-20b6-4f6f-a663-943ed0c0c550",      "firstName": "Marie",      "lastName": "Durand",      "personType": "NATURAL",      "residenceCountryCode": "FR"    }  }'
{  "id": "7d6d0d4a-3df1-4124-a445-e3d68efdb5b2",  "status": "CREATED",  "customerExternalId": "f29fe872-20b6-4f6f-a663-943ed0c0c550",  "creationDate": "2026-01-19T14:08:34.043Z",  "expirationDate": "2026-01-19T15:08:34.032Z",  "serviceFeesInCents": 150,  "qrCodeContent": "NIRIO|DEPOSIT|7d6d0d4a-3df1-4124-a445-e3d68efdb5b2",  "amountInCents": 5000,  "currency": "EUR",  "externalId": "2f9f7f52-4d2c-41ab-9f6c-1a19ecdb1600"}
GET
/v1/deposit/{datamatrixPartnerId}/{datamatrixProductId}/deposit-requests

Récupère la liste paginée des demandes de dépôt.

Authorization

BasicAuth
AuthorizationBasic <token>

In: header

Path Parameters

datamatrixPartnerId*string

Identifiant du partenaire sur 3 chiffres fourni par FDJ Services.

Match^\\d{3}$
datamatrixProductId*string

Identifiant du produit sur 2 chiffres fourni par FDJ Services.

Match^\\d{2}$

Query Parameters

cursor?string

Curseur de pagination.

limit?integer

Nombre maximum d'éléments retournés.

Range1 <= value <= 100
Default20
requestPartnerId?string

Identifiant de la demande côté partenaire.

date?string

Date de recherche au format YYYY-MM-DD.

Formatdate

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deposit/123/45/deposit-requests?cursor=eyJwYWdlIjoyfQ&limit=20&requestPartnerId=2f9f7f52-4d2c-41ab-9f6c-1a19ecdb1600&date=2026-01-19"
{  "nextCursor": "eyJwYWdlIjoyfQ",  "depositRequests": [    {      "id": "7d6d0d4a-3df1-4124-a445-e3d68efdb5b2",      "status": "CREATED",      "customerExternalId": "f29fe872-20b6-4f6f-a663-943ed0c0c550",      "creationDate": "2026-01-19T14:08:34.043Z",      "expirationDate": "2026-01-19T15:08:34.032Z",      "serviceFeesInCents": 150,      "qrCodeContent": "NIRIO|DEPOSIT|7d6d0d4a-3df1-4124-a445-e3d68efdb5b2",      "amountInCents": 5000,      "currency": "EUR",      "externalId": "2f9f7f52-4d2c-41ab-9f6c-1a19ecdb1600"    }  ]}
GET
/v1/deposit/{datamatrixPartnerId}/{datamatrixProductId}/deposit-requests/{payableId}

Récupère le détail d'une demande de dépôt.

Authorization

BasicAuth
AuthorizationBasic <token>

In: header

Path Parameters

datamatrixPartnerId*string

Identifiant du partenaire sur 3 chiffres fourni par FDJ Services.

Match^\\d{3}$
datamatrixProductId*string

Identifiant du produit sur 2 chiffres fourni par FDJ Services.

Match^\\d{2}$
payableId*string

Identifiant FDJ Services de la demande.

Formatuuid

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/v1/deposit/123/45/deposit-requests/7d6d0d4a-3df1-4124-a445-e3d68efdb5b2"
{  "id": "7d6d0d4a-3df1-4124-a445-e3d68efdb5b2",  "status": "CREATED",  "customerExternalId": "f29fe872-20b6-4f6f-a663-943ed0c0c550",  "creationDate": "2026-01-19T14:08:34.043Z",  "expirationDate": "2026-01-19T15:08:34.032Z",  "serviceFeesInCents": 150,  "qrCodeContent": "NIRIO|DEPOSIT|7d6d0d4a-3df1-4124-a445-e3d68efdb5b2",  "amountInCents": 5000,  "currency": "EUR",  "externalId": "2f9f7f52-4d2c-41ab-9f6c-1a19ecdb1600"}
PATCH
/v1/deposit/{datamatrixPartnerId}/{datamatrixProductId}/deposit-requests/{payableId}

Met une demande de dépôt au statut CANCELED.

Authorization

BasicAuth
AuthorizationBasic <token>

In: header

Path Parameters

datamatrixPartnerId*string

Identifiant du partenaire sur 3 chiffres fourni par FDJ Services.

Match^\\d{3}$
datamatrixProductId*string

Identifiant du produit sur 2 chiffres fourni par FDJ Services.

Match^\\d{2}$
payableId*string

Identifiant FDJ Services de la demande.

Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/v1/deposit/123/45/deposit-requests/7d6d0d4a-3df1-4124-a445-e3d68efdb5b2" \  -H "Content-Type: application/json" \  -d '{    "status": "CANCELED"  }'
{  "id": "7d6d0d4a-3df1-4124-a445-e3d68efdb5b2",  "status": "CANCELED",  "customerExternalId": "f29fe872-20b6-4f6f-a663-943ed0c0c550",  "creationDate": "2026-01-19T14:08:34.043Z",  "expirationDate": "2026-01-19T15:08:34.032Z",  "serviceFeesInCents": 150,  "qrCodeContent": "NIRIO|DEPOSIT|7d6d0d4a-3df1-4124-a445-e3d68efdb5b2",  "amountInCents": 5000,  "currency": "EUR",  "externalId": "2f9f7f52-4d2c-41ab-9f6c-1a19ecdb1600"}